Bug 840037 - Review Request:rubygem-openshift-origin-node - Application container runtime for OpenShift
Review Request:rubygem-openshift-origin-node - Application container runtime ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On: 839064
Blocks: 842006 842891 844439 845314 845319
  Show dependency treegraph
 
Reported: 2012-07-13 10:00 EDT by Brenton Leanhardt
Modified: 2012-09-17 18:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2012-07-13 10:00:16 EDT
Spec URL: http://brenton.fedorapeople.org/package_reviews/rubygem-stickshift-node/rubygem-stickshift-node.spec
SRPM URL: http://brenton.fedorapeople.org/package_reviews/rubygem-stickshift-node/rubygem-stickshift-node-0.14.1-1.src.rpm
Description: The Node subsystem is a environment for running OpenShift Cartridges (application containers).  User applications are securely sandboxed through SELinux and cgroups.
Fedora Account System Username: Brenton

Hi!  Here's another new OpenShift package that I would love to have reviewed for inclusion in Fedora 18: https://fedoraproject.org/wiki/Features/OpenShift_Origin

As mentioned in my other packages I am a new packager looking for sponsorship.  I am part of the OpenShift team and can help drive any fixes that are required.  Thanks for your help!
Comment 3 Brenton Leanhardt 2012-07-18 12:47:05 EDT
I incorrectly linked to the binary RPM in my last comment.  Here's the SRPM:

http://brenton.fedorapeople.org/package_reviews/rubygem-stickshift-node/0.14.1-2.git.98.1915eff/rubygem-stickshift-node-0.14.1-2.git.98.1915eff.fc17.src.rpm
Comment 6 Tom "spot" Callaway 2012-08-07 10:53:10 EDT
A few items here:

* You've still got one %define, please replace it with %global.
* You're packaging an Apache HTTPD configuration file. Does this package need to have an explicit Requires: httpd ?
* You should avoid using macros in comments or changelog entries. Just use %%foo instead of %foo, that will keep rpm from trying to eval them and will silence rpmlint.

Everything else looks very clean and in keeping with the Guidelines. If you make those changes, I will finish off a review. (I note that you're looking for a sponsor, but I believe someone was willing to sponsor you as soon as 839064 is done).
Comment 7 Tom "spot" Callaway 2012-08-07 11:05:16 EDT
Oh, and also:

rubygem-openshift-origin-node.noarch: E: non-executable-script /usr/share/gems/gems/openshift-origin-node-0.14.6/test/unit/version_test.rb 0644L /usr/bin/ruby
rubygem-openshift-origin-node.noarch: E: non-executable-script /usr/share/gems/gems/openshift-origin-node-0.14.6/lib/stickshift-node/model/node.rb 0644L /usr/bin/env
rubygem-openshift-origin-node.noarch: E: non-executable-script /usr/share/gems/gems/openshift-origin-node-0.14.6/test/unit/unix_user_test.rb 0644L /usr/bin/ruby
rubygem-openshift-origin-node.noarch: E: script-without-shebang /usr/share/gems/gems/openshift-origin-node-0.14.6/lib/stickshift-node/model/unix_user.rb

I think that should be as simple to resolve as running chmod +x on the "non-executable-script" files during %install, and chmod -x on the "script-without-shebang" file.
Comment 10 Tom "spot" Callaway 2012-08-10 15:51:55 EDT
= REVIEW =

- rpmlint checks return: 
rubygem-openshift-origin-node.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
rubygem-openshift-origin-node.src: W: spelling-error %description -l en_US sandboxed -> sandboxes, sand boxed, sand-boxed
rubygem-openshift-origin-node.src: W: spelling-error %description -l en_US cgroups -> groups, c groups
rubygem-openshift-origin-node.src:152: W: macro-in-%changelog %post
rubygem-openshift-origin-node.src:152: W: macro-in-%changelog %preun
rubygem-openshift-origin-node.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
rubygem-openshift-origin-node.noarch: W: spelling-error %description -l en_US sandboxed -> sandboxes, sand boxed, sand-boxed
rubygem-openshift-origin-node.noarch: W: spelling-error %description -l en_US cgroups -> groups, c groups
rubygem-openshift-origin-node.noarch: W: hidden-file-or-dir /var/lib/stickshift/.httpd.d
rubygem-openshift-origin-node.noarch: W: hidden-file-or-dir /var/lib/stickshift/.httpd.d
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-authorized-ssh-key-add
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-cartridge-list
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary sssh
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-broker-auth-key-add
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-connector-execute
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-app-destroy
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-env-var-remove
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-app-create
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-get-quota
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-env-var-add
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-cartridge-info
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-set-quota
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-trap-user.ruby19
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-broker-auth-key-remove
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-authorized-ssh-key-remove
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-trap-user
rubygem-openshift-origin-node.noarch: W: no-manual-page-for-binary ss-app-state-show
2 packages and 0 specfiles checked; 0 errors, 27 warnings.

All safe to ignore, but you really should %% comment out those macro references in the changelog.

- package meets naming guidelines
- package meets packaging guidelines (Ruby)
- license (ASL 2.0) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (9ee5ce05a74e0b071a506a31a92e393ba74e359449785c42935e724a7346cf75)
- package compiles on devel (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED.
Comment 11 Brenton Leanhardt 2012-08-16 14:56:58 EDT
New Package SCM Request
=======================
Package Name: rubygem-openshift-origin-node
Short Description: Application container runtime for OpenShift
Owners: brenton tdawson maxamillion
Branches: f17 f18
InitialCC:
Comment 12 Jon Ciesla 2012-08-16 15:38:37 EDT
Don't set SCM flag if review flag not set to + by reviewer.  Thanks!
Comment 13 Michael Scherer 2012-08-17 19:52:21 EDT
Tom, seems you forgot to set fedora-review flags to +
Comment 14 Tom "spot" Callaway 2012-08-18 13:06:28 EDT
Is Brenton sponsored? I'll flip the flag when the FE-NEEDSPONSOR blocker is gone.
Comment 15 Michael Scherer 2012-08-19 05:31:03 EDT
According to our irc based kryptonian overloard, it seems so :


misc> .fasinfo brenton
zodbot> misc: User: brenton, Name: Brenton Leanhardt, email: bleanhar@redhat.com,
 Creation: 2008-06-06, IRC Nick: bleanhar, 
 Timezone: US/Eastern, Locale: en, GPG key ID: B1EA09B2, Status: active
zodbot> misc: Approved Groups: fedorabugs packager cla_done cla_fpca 
  cla_fedora @gitgenome @gitpublican-genome @gitplublican-genome


( ie, in the packager group should be enough, I guess )
Comment 16 Tom "spot" Callaway 2012-08-19 12:50:29 EDT
Mmkay. Flipping the review flag.
Comment 17 Brenton Leanhardt 2012-08-20 09:43:57 EDT
New Package SCM Request
=======================
Package Name: rubygem-openshift-origin-node
Short Description: Application container runtime for OpenShift
Owners: brenton tdawson maxamillion
Branches: f17 f18
InitialCC:
Comment 18 Jon Ciesla 2012-08-20 09:46:38 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2012-08-22 14:46:41 EDT
rubygem-openshift-origin-node-0.14.6-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-openshift-origin-node-0.14.6-5.fc18
Comment 20 Fedora Update System 2012-08-23 00:36:59 EDT
rubygem-openshift-origin-node-0.14.6-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 21 Fedora Update System 2012-09-17 18:47:14 EDT
rubygem-openshift-origin-node-0.14.6-5.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.